%define	module	passwd
%define	name	horde-%{module}
%define	version	3.0.1
%define	release	%mkrel 3

%define _requires_exceptions pear(Horde.*)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Horde password management application
License:	GPL
Group:		System/Servers
Source0:	ftp://ftp.horde.org/pub/%{module}/%{module}-h3-%{version}.tar.bz2
Source2:	%{module}-horde.conf.bz2
Patch0:		%{module}-3.0.1-script-shellbang.patch
URL:		http://www.horde.org/%{module}/
Requires:	horde >= 3.0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Passwd is the Horde password changing application. While it has been released
and is in production use at many sites, it is also under heavy development in
an effort to expand and improve the module.

Right now, Passwd provides fairly complete support for changing passwords via
poppassd, ldap, unix expect scripts, the unix smbpasswd command for smb/cifs
password support, servuftp, vmailmgr, vpopmail, and sql passwords.

Passwd is part of a suite of account management modules for Horde consisting of
Accounts, Forwards, Passwd, and Vacation.

%prep
%setup -q -n %{module}-h3-%{version}
%patch

# fix encoding
for file in `find . -type f`; do
    perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;' $file
done

%build

%install
rm -rf %{buildroot}

# horde configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/horde/registry.d
bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/horde/registry.d/%{module}.php

# remove .htaccess files
find . -name .htaccess -exec rm -f {} \;

# install files
install -d -m 755 %{buildroot}%{_var}/www/horde/%{module}
install -d -m 755 %{buildroot}%{_datadir}/horde/%{module}
install -d -m 755 %{buildroot}%{_sysconfdir}/horde
cp -pR *.php %{buildroot}%{_var}/www/horde/%{module}
cp -pR themes %{buildroot}%{_var}/www/horde/%{module}
cp -pR lib %{buildroot}%{_datadir}/horde/%{module}
cp -pR locale %{buildroot}%{_datadir}/horde/%{module}
cp -pR scripts %{buildroot}%{_datadir}/horde/%{module}
cp -pR templates %{buildroot}%{_datadir}/horde/%{module}
cp -pR config %{buildroot}%{_sysconfdir}/horde/%{module}

# use symlinks to recreate original structure
pushd %{buildroot}%{_var}/www/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
ln -s ../../../..%{_datadir}/horde/%{module}/lib .
ln -s ../../../..%{_datadir}/horde/%{module}/locale .
ln -s ../../../..%{_datadir}/horde/%{module}/templates .
popd

# activate configuration files
for file in %{buildroot}%{_sysconfdir}/horde/%{module}/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README docs
%config(noreplace) %{_sysconfdir}/horde/registry.d/%{module}.php
%config(noreplace) %{_sysconfdir}/horde/%{module}
%{_datadir}/horde/%{module}
%{_var}/www/horde/%{module}




%changelog
* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0.1-3mdv2009.0
+ Revision: 240833
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 81205
- new version


* Mon Jan 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-4mdv2007.0
+ Revision: 103022
- don't forget theme

  + Andreas Hasenack <andreas@mandriva.com>
    - Import horde-passwd

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-3mdv2007.0
- Rebuild

* Wed Jan 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-2mdk
- fix automatic dependencies

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-1mdk
- new version
- rediff patch 0
- %%mkrel

* Fri Jul 01 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdk 
- new version
- better fix encodings
- spec cleanup
- fix script shellbang

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.1-4mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Fri Jan 14 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-3mdk 
- top-level is now /var/www/horde/passwd
- config is now in /etc/horde/passwd
- other non-accessible files are now in /usr/share/horde/passwd
- no more apache configuration
- rpmbuildupdate aware
- spec cleanup

* Wed Sep 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-2mdk 
- fixed icon name in horde config

* Sun Sep 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-1mdk 
- new release
- correct description

* Tue Jul 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-5mdk 
- apache config file in /etc/httpd/webapps.d

* Sat Jul 03 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-4mdk 
- really remove useless provide

* Sun May 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-3mdk
- renamed to horde-passwd
- pluggable horde configuration
- standard perms for /etc/httpd/conf.d/%%{order}_horde-passwd.conf
- don't provide useless ADVXpackage virtual package

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-1mdk
- first distinct package

